# $Revision: 1.39 $, $Date: 2008/07/27 22:20:45 $
Summary:	wmSun displays the current day's Sun Rise and Set Times
Summary(pl.UTF-8):	wmSun wyświetla aktualny czas wschodu i zachodu Słońca
Name:		wmSun
Version:	1.03
Release:	8
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
# Source0-md5:	defc6747ebdb64b5d3afe91f916d3acc
Source1:	%{name}.desktop
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wmSun displays the current day's Sun Rise and Set Times. You must
enter your LAtitude and Longitude correctly for it to work.

%description -l pl.UTF-8
wmSun wyświetla aktualne godziny wschodu i zachodu Słońca. Aby program
działał poprawnie trzeba podać długość i szerokość geograficzną dla
miejsca, w którym przebywamy.

%prep
%setup -q

%build
%{__make} -C %{name} clean
%{__make} -C %{name} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_desktopdir}/docklets}

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/docklets/wmSun.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmSun.spec,v $
Revision 1.39  2008/07/27 22:20:45  arekm
- release 8

Revision 1.38  2007-02-12 22:09:20  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:37  baggins
- converted to UTF-8

Revision 1.36  2006/04/01 16:42:05  megabajt
- modular xorg deps
- pass CC
- release 7 for Th

Revision 1.35  2004/10/31 13:31:27  paladine
- spaces->tabs

Revision 1.34  2004/08/18 00:26:30  havner
- rel 6

Revision 1.33  2004/05/07 21:23:12  qboosh
- fixed build on amd64, switched to vfolders; release 5

Revision 1.32  2003/09/02 10:23:24  havner
- prefix changed to /usr

Revision 1.31  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:27:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/02/28 10:09:00  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2002/12/28 16:30:04  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.27  2002/11/29 22:47:13  ankry
- massive attack: new %%doc

Revision 1.26  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/24 01:01:36  kloczek
- commented install desktop file.

Revision 1.22  2001/11/23 23:27:12  blues
- release 4
- cosmetic in files

Revision 1.21  2001/11/21 01:49:31  blues
- URLs updated

Revision 1.20  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.19  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.18  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.15  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.14  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.13  1999/09/04 09:01:07  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.12  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 16 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.03-2]
- modified spec file for PLD use,
- package is now FHS 2.0 compliant.

* Tue Feb 9 1998 Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release.
